# TBasicPreviewCallbacks Class Reference
[Base Classes for plugins]

Inheritance diagram for TBasicPreviewCallbacks:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | EndFrame (uint32 frameNumber)
virtual MCCOMErr MCCOMAPI | RectCompleted (const TMCRect &rect)
virtual MCCOMErr MCCOMAPI | UpdateProgress (real progress, real progressMax)
void | Init (TBasicPreviewPart *part, IPreviewMaker *previewMaker)
## Static Public Member Functions
static void | Create (TBasicPreviewCallbacks **callbacks)
static void | Create (TBasicPreviewCallbacks **callbacks, TProgressBarHelper *progressHelper, I3DRenderHelper *renderHelper, IShRasterLayer **rasterLayer)
## Protected Member Functions
| TBasicPreviewCallbacks ()
| TBasicPreviewCallbacks (TProgressBarHelper *progressHelper, I3DRenderHelper *renderHelper, IShRasterLayer **rasterLayer)
| ~TBasicPreviewCallbacks ()
## Protected Attributes
TMCCountedPtr< TBasicPreviewPart > | fPreviewPart
TMCCountedPtr< IMFPart > | fPart
IPreviewMaker * | fPreviewMaker
I3DRenderHelper * | fRenderHelper
TMCString255 | fProgressTitle
TProgressBarHelper * | fProgressHelper
IShRasterLayer ** | fRasterLayer

## Constructor & Destructor Documentation

TBasicPreviewCallbacks::TBasicPreviewCallbacks | ( |  | ) | `[protected]`

TBasicPreviewCallbacks::TBasicPreviewCallbacks | ( | TProgressBarHelper * | progressHelper,
|  | I3DRenderHelper * | renderHelper,
|  | IShRasterLayer ** | rasterLayer |
| ) |  |  | `[protected]`

TBasicPreviewCallbacks::~TBasicPreviewCallbacks | ( |  | ) | `[protected]`

## Member Function Documentation

static void TBasicPreviewCallbacks::Create | ( | TBasicPreviewCallbacks ** | callbacks,
|  | TProgressBarHelper * | progressHelper,
|  | I3DRenderHelper * | renderHelper,
|  | IShRasterLayer ** | rasterLayer |
| ) |  |  | `[static]`

static void TBasicPreviewCallbacks::Create | ( | TBasicPreviewCallbacks ** | callbacks | ) | `[static]`

virtual MCCOMErr MCCOMAPI TBasicPreviewCallbacks::EndFrame | ( | uint32 | frameNumber | ) | `[virtual]`

Called at the end of the rendering of one frame.

Parameters:

  | frameNumber | The number of the frame.

Reimplemented from TCountedRenderingCallbacks.

void TBasicPreviewCallbacks::Init | ( | TBasicPreviewPart * | part,
|  | IPreviewMaker * | previewMaker |
| ) |  |  |

virtual MCCOMErr MCCOMAPI TBasicPreviewCallbacks::RectCompleted | ( | const TMCRect & | rect | ) | `[virtual]`

Called each time a tile is completely rendered.

Parameters:

  | rect | The rectangle of the tile in the image in pixels.

Reimplemented from TCountedRenderingCallbacks.

virtual MCCOMErr MCCOMAPI TBasicPreviewCallbacks::UpdateProgress | ( | real | progress,
|  | real | progressMax |
| ) |  |  | `[virtual]`

Called each time the rendering progress bar should be updated.

Parameters:

  | progress | Between 0 and progressMax.
  | progressMax | The value of the progres when the rendering is finished.

Reimplemented from TCountedRenderingCallbacks.

## Member Data Documentation

TMCCountedPtr<IMFPart> TBasicPreviewCallbacks::fPart`[protected]`

IPreviewMaker* TBasicPreviewCallbacks::fPreviewMaker`[protected]`

TMCCountedPtr<TBasicPreviewPart> TBasicPreviewCallbacks::fPreviewPart`[protected]`

TProgressBarHelper* TBasicPreviewCallbacks::fProgressHelper`[protected]`

TMCString255 TBasicPreviewCallbacks::fProgressTitle`[protected]`

IShRasterLayer** TBasicPreviewCallbacks::fRasterLayer`[protected]`

I3DRenderHelper* TBasicPreviewCallbacks::fRenderHelper`[protected]`

Reimplemented from TCountedRenderingCallbacks.

The documentation for this class was generated from the following file:

- Basic3DEditorHost.h